Open SCAP Library: PROBEINTERFACE

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Macros | Functions | Variables
PROBEINTERFACE

## Data Structures
struct | oval_subtypedsc_t

## Macros
#define | OVAL_PROBE_IMPL_H
#define | OVAL_PROBE_SCHEME "pipe"
#define | OVAL_PROBE_DIR "/usr/libexec/openscap"
#define | OVAL_PROBE_MAXRETRY 0
#define | OVAL_PROBE_H
#define | OVAL_PDFLAG_NOREPLY 0x0001
| don't send probe result to library - just an ack
#define | OVAL_PDFLAG_NORECONN 0x0002
| don't try to reconnect on fatal errors
#define | OVAL_PDGLAG_RUNALL 0x0004
| execute all probes when executing the first
#define | OVAL_PDFLAG_RUNNOW 0x0008
| execute all probes immediately
#define | OVAL_PDFLAG_SLAVE 0x0010
#define | OVAL_PDFLAG_MASK (0x0001|0x0002|0x0004|0x0008|0x0010)
#define | OVAL_PROBEMETA_LIST_VERBOSE 0x00000001
| Be verbose when listing supported probes.
#define | OVAL_PROBEMETA_LIST_DYNAMIC 0x00000002
| Perform additional checks when listing supported probes (i.e. More...

## Functions
probe_ncache_t * | OSCAP_GSYM (ncache)
void | oval_probe_tblinit (void)
const char * | oval_subtype_to_str (oval_subtype_t subtype)
oval_subtype_t | oval_str_to_subtype (const char *str)
int | oval_probe_hint_definition (oval_probe_session_t *sess, struct oval_definition *definition, int variable_instance_hint)
| Finds all the oval_syschars (collected objects) assigned with a given definition and sets the variable_instance_hint attribute thereof. More...
int | oval_probe_query_sysinfo (oval_probe_session_t *sess, struct oval_sysinfo **out_sysinfo) __attribute__((nonnull(1
| Evaluate system info probe. More...
int int | oval_probe_query_object (oval_probe_session_t *psess, struct oval_object *object, int flags, struct oval_syschar **out_syschar) __attribute__((nonnull(1
| Evaluate an object. More...
int int int | oval_probe_query_definition (oval_probe_session_t *sess, const char *id) __attribute__((nonnull(1
| Probe objects required for the evalatuation of the specified definition and update the system characteristics model associated with the session. More...
int int int int | oval_probe_query_variable (oval_probe_session_t *sess, struct oval_variable *variable)
| Query the specified variable and all its dependencies in order to compute the vector of its values. More...
void | oval_probe_meta_list (FILE *output, int flags)
const char * | oval_probe_ext_getdir (void)

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

## Macro Definition Documentation

#define OVAL_PROBEMETA_LIST_DYNAMIC 0x00000002

Perform additional checks when listing supported probes (i.e.

list only existing external probes)

## Function Documentation

int oval_probe_hint_definition | ( | oval_probe_session_t * | sess,
|  | struct oval_definition * | definition,
|  | int | variable_instance_hint
| ) |  |

Finds all the oval_syschars (collected objects) assigned with a given definition and sets the variable_instance_hint attribute thereof.

That is to mark these collected objects with the hint that a new round of collection might be needed when these objects are again probed by oval_probe_query_object. That is usefull when a new variable instance is injected into the oval_agent_session.

Parameters

  variable_instance_hint | new hint to set

Returns
  0 on success; -1 on error; 1 on warning

int int int oval_probe_query_definition | ( | oval_probe_session_t * | sess,
|  | const char * | id
| ) |  |

Probe objects required for the evalatuation of the specified definition and update the system characteristics model associated with the session.

Parameters

  sess | probe session
  id | definition id

Returns
  0 on success; -1 on error; 1 warning

int int oval_probe_query_object | ( | oval_probe_session_t * | psess,
|  | struct oval_object * | object,
|  | int | flags,
|  | struct oval_syschar ** | out_syschar
| ) |  |

Evaluate an object.

Parameters

  sess | probe session
  object | the object to evaluate

int oval_probe_query_sysinfo | ( | oval_probe_session_t * | sess,
|  | struct oval_sysinfo ** | out_sysinfo
| ) |  |

Evaluate system info probe.

Parameters

  sess | probe session
  out_sysinfo | address of a pointer to hold the result

int int int int oval_probe_query_variable | ( | oval_probe_session_t * | sess,
|  | struct oval_variable * | variable
| ) |  |

Query the specified variable and all its dependencies in order to compute the vector of its values.

Parameters

  sess | probe session
  variable | the variable to query

Returns
  0 on success